Imports System.Runtime.InteropServices

<StructLayout(LayoutKind.Sequential)> _
Public Structure BLUEBOX_Tag
    Public TagType As Integer
    <MarshalAs(UnmanagedType.ByValArray, SizeConst:=20)> _
    Public Id As SByte()
    Public Length As Integer
    Public Antenna As Integer
End Structure

Public Class BlueboxClass

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_GetSwRelease(ByVal SwRel As System.Text.StringBuilder) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_Init(ByRef Handle As Integer) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_End(ByRef Handle As Integer) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_SetAddress(ByRef Handle As Integer, ByVal Address As Byte) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_SetChannel(ByRef Handle As Integer, ByVal Channel As String, ByVal Settings As String) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_Open(ByRef Handle As Integer) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_Close(ByRef Handle As Integer) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_GetFwRelease(ByRef Handle As Integer, ByVal Reader As Integer, ByVal FwRel As System.Text.StringBuilder) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_ReadParameters(ByRef Handle As Integer, ByVal Reader As Byte()) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_DataRequest(ByRef Handle As Integer, ByRef Tags As IntPtr, ByRef TagsNo As Integer) As Integer

    End Function

    <DllImport("BLUEBOXLib.dll")> _
    Public Shared Function BLUEBOX_FreeTagsMemory(ByRef Handle As Integer, ByRef Tags As IntPtr) As Integer

    End Function

End Class
